<script setup lang="ts">
import { useCustomerStore } from '@/Customer/stores/customer'
import type { Customer } from '@/Customer/types/customer'
import { useMemberStore } from '@/Pos/stores/member'
import { useReceiptStore } from '@/Receipt/stores/receipt'

import { ref } from 'vue'
import type { Member } from '../types/Member'
const tel = ref('')
const memberStore = useMemberStore()
const customerStore = useCustomerStore()
const receiptStore = useReceiptStore()
function onClick() {
  memberStore.searchMember(tel.value)
  receiptStore.calReceipt()
}
</script>
<template>
  <v-container>
    <v-row no-gutters>
      <v-col cols="2">Tel :</v-col>
      <v-col cols="10">
        <v-text-field
          v-model="tel"
          density="compact"
          variant="solo"
          label="Member Search"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick"
          @keyup.enter="onClick"
        >
        </v-text-field>
        <br />
      </v-col>

      <v-col cols="4">Name :</v-col>
      <v-col cols="6">{{
        memberStore.currentMember ? memberStore.currentMember?.name : 'ไม่พบ'
      }}</v-col>
      <v-col cols="4">Point :</v-col>
      <v-col cols="6">{{ memberStore.currentMember?.point }}</v-col>
      <v-col>point</v-col>
    </v-row>
  </v-container>
</template>
